/* 整體頁面設定 */
body{
    background-color:#f2f2f2;
    font-family: Arial, "微軟正黑體";
    margin:0;
    padding:0;
}

/* header */
header{
    background-color:#4c7caf;
    color:white;
    text-align:center;
    padding:20px;
}

/* 副標題 */
.subtitle{
    text-align:center;
    font-size:18px;
    margin:20px;
}

/* 導覽列 */
nav{
    background-color:#333;
    padding:10px;
}

nav ul{
    list-style-type:none;
    margin:0;
    padding:0;
}

nav li{
    display:inline;
    margin-right:20px;
}

/* class 選擇器 */
.navlink{
    color:white;
    text-decoration:none;
    font-size:18px;
}

/* pseudo-class */
.navlink:hover{
    color:yellow;
}

/* main 區塊 */
main{
    width:80%;
    margin:auto;
    background-color:white;
    padding:20px;
}

/* section 間距 */
section{
    margin-bottom:40px;
}

/* id 選擇器 */
#intro{
    background-color:#e6f7ff;
    padding:15px;
}

#cats{
    background-color:#fff0e6;
    padding:15px;
}

#profile{
    background-color:#f9e6ff;
    padding:15px;
}

/* 興趣 */
.hobby{
    margin-top:20px;
}

/* 標題 */
h2{
    color:#333;
    border-bottom:2px solid gray;
    padding-bottom:5px;
}

/* pseudo-element */
p::first-letter{
    font-size:22px;
    color:blue;
}

/* 圖片 */
img{
    width:480px;
    height: 640px;
    margin-top:10px;
    margin-bottom:10px;
}

/* footer */
footer{
    background-color:#222;
    color:white;
    text-align:center;
    padding:10px;
    margin-top:20px;
}